# std::hash< __gnu_cxx::throw_value_random > Struct Template Reference

Explicit specialization of std::hash for __gnu_cxx::throw_value_limit. More...

Inheritance diagram for std::hash< __gnu_cxx::throw_value_random >:
[legend]

List of all members.

## Public Types

- typedef
  __gnu_cxx::throw_value_random argument_type
- typedef size_t result_type

## Public Member Functions

- size_t operator() (const __gnu_cxx::throw_value_random &__val) const

## Detailed Description

### template<>
struct std::hash< __gnu_cxx::throw_value_random >

Explicit specialization of std::hash for __gnu_cxx::throw_value_limit.

Definition at line 742 of file throw_allocator.h.

## Member Typedef Documentation

typedef __gnu_cxx::throw_value_random std::unary_function< __gnu_cxx::throw_value_random , size_t >::argument_type `[inherited]`

`argument_type` is the type of the /// argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef size_t std::unary_function< __gnu_cxx::throw_value_random , size_t >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h